:root {
    --font-size: 1rem;  /*standardmäßig 16px*/
    --line-height: 1.5;
    --padding-small: 0.5rem;
    --padding-medium: 1rem;
    --padding-large: 1.5rem;
    --margin-small: 0.5rem;
    --margin-medium: 1rem;
    --margin-large: 2rem;
    --text-color: #2e2e2e;
    --primary-color: #E97B83;
    --primary-color-2: #ffeaeb;
    --secondary-color: #8fb3ce;
    --highlight-color: #b7edd5;
    --background-color: #f9fafb;
}

/* Text */
@font-face {
    font-family: 'Inter';
    src: url('../fonts/Inter/static/Inter_18pt-Regular.ttf') format('truetype');
}

/* Kalligrafie Schrift */
@font-face {
    font-family: 'Reenie Beanie';
    src: url('../fonts/Reenie_Beanie/ReenieBeanie-Regular.ttf') format('truetype');
}

/* Überschrift */
@font-face {
    font-family: 'Raleway';
    src: url('../fonts/Raleway/static/Raleway-Bold.ttf') format('truetype');
}

body {
    background-color: var(--background-color);
    font-family: 'Inter';
    font-size: var(--font-size);
}

/* Überschriften */
h1 {
    font-family: 'Raleway';
    font-size: 7.5rem;
    text-transform: uppercase;
    color: var(--primary-color);
    text-align: center;
    margin-top: 0;
    margin-bottom: var(--margin-large);
}

h2 {
    font-family: 'Reenie Beanie';
    font-size: 3.1rem;
    color: var(--primary-color);
    text-align: center;
    margin: var(--margin-small);    
}

h3 {
    font-family: 'Raleway';
    font-size: 2rem;
    color: var(--primary-color);
    margin-top: 3rem;
}

/* Navbar */
nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: var(--padding-medium) var(--padding-large);
    margin: 0;
    background-color: white;
    /*border-radius: 20px;*/
    /*box-sizing: border-box;
    box-shadow: 3px 5px 10px rgba(0,0,0,0.2);*/
}

nav ul {
    padding: 0;
    margin: 0;
    display: flex;
    gap: 1.5rem;
}

nav li {
    list-style-type: none;
}

nav li a:link {
    display: block;
    padding: var(--padding-small)
}

a {
    color: var(--text-color);
    text-decoration: none;
    transition: all 0.4s;
}

a:hover {
    color: var(--primary-color);
    letter-spacing: 4px;
}

a:active {
    color: var(--primary-color);
}

nav ul li a.active {
    color: var(--primary-color);
    letter-spacing: 4px;
}

nav img {
    height: 2.5rem;
    display: block;
}

.nav-user {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.user {
    display: flex;
    align-items: center;
    gap: 0.4rem;
}

.user-icon {
    width: 18px;
    height: 18px;
}

.username {
    font-size: 0.9rem;
}

/* Footer */
footer {
    margin-top: var(--margin-large);
    padding: var(--padding-large) var(--padding-medium);
    background-color: var(--primary-color);
    border-top: 1px solid #eee; 
    color: white;
}

.footer-container {
    max-width: 1500px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: var(--margin-medium);
}

.footer-left h4 {
    margin: 0;
}

.footer-links {
    display: flex;
    gap: 1.25rem;
}

.footer-links a {
    color: var(--text-color);
    font-size: var(--font-size);
    color: white;
}

.footer-links a:hover {
    letter-spacing: 0;
}

/* Button */
.login {
    border-radius: 20px;
    padding: var(--padding-small);
    padding-left: var(--padding-medium);
    padding-right: var(--padding-medium);
    background-color: var(--primary-color);
    border: none;
    font-size: var(--font-size);
    color: white;
}

.login:hover {
    letter-spacing: 0;
    color: white;
    transform: scale(1.05);
}
